## plasma-firewall 6.5.5

=== debian/changelog ===
plasma-firewall (6.5.5-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:43:47 +0000

plasma-firewall (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:35 +1000
