## plasma-firewall 6.5.5+p24.04+vstable+git20260129.0112

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vstable+git20260129.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:12:59 +0000
