## plasma-firewall 6.5.5+p24.04+vstable+git20260130.0913

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vstable+git20260130.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:13:04 +0000
