## plasma-firewall 6.5.5+p24.04+vunstable+git20260130.1403

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vunstable+git20260130.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:03:33 +0000
